<?php
/*
strin 字符串$str是否在数组$stack里
*/
function strin($str,$stack){
	$str=trim($str);
	//echo $str."--1--".$stack[0]."<br/>";
	for($i=0;$i< count($stack);$i++){ 
	
		if( $str==$stack[$i])return true;
	}
    return false;
}



/*
------------------------------------------------------
参数：
$srca= array(	'1' => $initCreatTypeHost,  //替换 192.168.2.20 为 域名
				'2' => '2.20', ); 
$obja= array(	'1' => $clearURL,
				'2' => $clearURL,); 

$filename  文件名
$stra 要替换的源字符数串数组
$obja 替换的目标字符数串数组
程序功能 读入文件$filename替换 源数组 $srca 为目标数组 $obj
a
------------------------------------------------------
*/
function writereplacestr($filename,$srca,$obja)
{
	
	$fp       = fopen ($filename,"r");
	$content  = fread ($fp,filesize ($filename));
	
	 for($i=1;$i<= count($srca);$i++){   
  		$content  = str_replace($srca[$i],$obja[$i],$content);
    }


	$handle   = fopen ($filename,"w"); //打开文件指针，创建文件
	if (!is_writable ($filename))
	{ 
		echo "文件：".$filename."不可写，请检查其属性后重试！";
	}
	if (!fwrite ($handle,$content))
	{  //将信息写入文件
		echo "生成文件".$filename."失败！";
	} 
  	else
	{
	  	echo "生成".$filename."<br>";
	}

	fclose ($handle); //关闭指针
	fclose ($fp); //关闭指针
}


?>